VfsResolver
Date: 2013-01-10

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ivy.plugins.resolver
Class VfsResolver

    java.lang.Object
      org.apache.ivy.plugins.resolver.AbstractResolver
          org.apache.ivy.plugins.resolver.BasicResolver
              org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver
                  org.apache.ivy.plugins.resolver.RepositoryResolver
                      org.apache.ivy.plugins.resolver.VfsResolver

All Implemented Interfaces:
  Validatable, DependencyResolver, HasLatestStrategy

    public class VfsResolver

extends RepositoryResolver

Field Summary

Fields inherited from class org.apache.ivy.plugins.resolver.BasicResolver
`DATE_FORMAT, DESCRIPTOR_OPTIONAL, DESCRIPTOR_REQUIRED`

Constructor Summary
`VfsResolver()`

Method Summary
`java.lang.String` | `getTypeName()`
`java.lang.String` | `hidePassword(java.lang.String name)` this method should remove sensitive information from a location to be displayed in a log
`static java.lang.String` | `prepareForDisplay(java.lang.String name)`

Methods inherited from class org.apache.ivy.plugins.resolver.RepositoryResolver
`download, dumpSettings, exist, findResourceUsingPattern, findTokenValues, get, getDestination, getRepository, getResource, isAlwaysCheckExactRevision, listResources, listTokenValues, publish, put, putChecksum, putSignature, setAlwaysCheckExactRevision, setName, setRepository, setSettings, setSigner`

Methods inherited from class org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver
`addArtifactPattern, addConfiguredArtifact, addConfiguredIvy, addIvyPattern, convertM2IdForResourceSearch, convertM2OrganizationForResourceSearch, convertM2ResourceSearchIdToNormal, convertM2TokenValuesForResourceSearch, findArtifactNames, findArtifactRef, findIvyFileRef, findIvyNames, findNames, findResource, findResourceUsingPatterns, getArtifactPatterns, getIvyPatterns, getModuleDescriptorExtension, isM2compatible, listTokenValues, setArtifactPatterns, setIvyPatterns, setM2compatible`

Methods inherited from class org.apache.ivy.plugins.resolver.BasicResolver
`acceptLatest, checkModuleDescriptorRevision, clearArtifactAttempts, clearIvyAttempts, doFindArtifactRef, download, exists, filterNames, findFirstArtifactRef, getAndCheck, getArtifactRef, getChecksumAlgorithms, getDefaultRMDParser, getDependency, getPublicationDate, getRMDParser, getWorkspaceName, isAllownomd, isCheckconsistency, isEnvDependent, isForce, listModules, listOrganisations, listRevisions, listTokenValues, locate, logArtifactAttempt, logAttempt, logIvyAttempt, parse, reportFailure, reportFailure, setAllownomd, setCheckconsistency, setChecksums, setDescriptor, setEnvDependent, setForce, setWorkspaceName, shouldReturnResolvedModule, toString`

Methods inherited from class org.apache.ivy.plugins.resolver.AbstractResolver
`abortPublishTransaction, beginPublishTransaction, checkInterrupted, checkLatest, commitPublishTransaction, doValidate, findModuleInCache, findModuleInCache, fromSystem, fromSystem, getCacheDownloadOptions, getCacheOptions, getChangingMatcherName, getChangingPattern, getDownloadOptions, getEventManager, getLatest, getLatestStrategy, getName, getNamespace, getParserSettings, getRepositoryCacheManager, getSettings, getSystemNode, isAfter, isValidate, saveModuleRevisionIfNeeded, setCache, setChangingMatcher, setChangingPattern, setCheckmodified, setEventManager, setLatest, setLatestStrategy, setNamespace, setRepositoryCacheManager, setValidate, toSystem, toSystem, toSystem, toSystem, toSystem, toSystem, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VfsResolver

    public VfsResolver()

Method Detail

### getTypeName

    public java.lang.String getTypeName()

  Overrides:
    `getTypeName` in class `RepositoryResolver`

### hidePassword

    public java.lang.String hidePassword(java.lang.String name)

  Description copied from class: `AbstractResolver`
  this method should remove sensitive information from a location to be displayed in a log

  Overrides:
    `hidePassword` in class `AbstractResolver`
  Parameters:
    `name` - location
  Returns:
    location with sensitive data replaced by stars

### prepareForDisplay

    public static java.lang.String prepareForDisplay(java.lang.String name)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD